import React, { Component } from 'react';
import { Marker, Popup, Tooltip, withLeaflet } from "react-leaflet";
import { DivIcon, Icon } from 'leaflet';

class POIMarker extends Component{
    createInfo(data){
        let infos = [];
        for (let i = 0; i < data.length; i++) { 
            const element = data[i];
            if(element !== ','){
                infos.push(<span key={data[i]}>{element}</span>);
            }else{
                infos.push(<br/>);
            }
        }
        return infos;
    }

    render(){
        return <>
            <Marker 
                position={[this.props.data.lat, this.props.data.lng] } 
                icon={new Icon({
                    iconUrl: window.EDITOR_URL + this.props.data.src,
                    iconSize: [20,20],
                    iconAnchor: [10,10],
                    popupAnchor: [0, -10]
                })}
                name={`${this.props.data.id}`} key={this.props.data.id}
                ref={marker => this.marker = marker}
            >
                {this.props.data.info &&
                    <Popup>
                        { this.createInfo(this.props.data.info) }
                    </Popup>
                }
            </Marker>;
                <Marker 
                    position={[this.props.data.lat, this.props.data.lng] } 
                    icon={new DivIcon({
                        html: <div>{this.props.data.name}</div>,
                        iconSize: [80,20],
                        iconAnchor: [40,-10]
                    })}
                    key={"poi-text-" + this.props.data.name}
                >

                </Marker>
        </>
    }
}

export default withLeaflet(POIMarker);